{% extends 'Default/backend.html.twig' %}
{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('pdnd') }}
{% endblock %}
{% block main_content %}
<section id="intro" class="container px-4 mb-4">
  <div class="row">
    <div class="col-lg-12 px-lg-4 py-lg-2">
      <h2>{{ 'pdnd.e-services.client_title'|trans }} <span class="client-name"></span></h2>
    </div>
    <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
      <div class="row" id="pdnd-client-detail-container" data-url="{{ url }}" data-tenant-identifier="{{ tenant_identifier }}"></div>
    </div>
  </div>
</section>
<section id="intro" class="container-fluid bg-grey-lighten">
  <div class="container px-4 mt-4 pt-3">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'pdnd.e-services.e-services_title'|trans }}</h2>
      </div>
      <div class="col-lg-12 px-lg-4 py-lg-2 my-4">
        <div class="row" id="pdnd-eservices-container"
             data-url="{{ eservices_url }}"
             data-configs-url="{{ configs_url }}"
             data-client-id="{{ id }}"
             data-tenant-id="{{ tenant_id }}"
             data-configs-by-eservices="{{ configs_by_eservices }}"
             data-configs="{{ configs }}"
             data-tenant-identifier="{{ tenant_identifier }}"></div>
      </div>
    </div>
  </div>
</section>

  {% verbatim %}
    <script id="tpl-form" type="text/x-jsrender">
      <div class="col-12">
            <div class="card card-bg d-block">
              <div class="card-body">
                <div id="accordion-parent" class="collapse-div">
                  <div class="collapse-header" id="accordion-heading">
                    <div class="row">
                      <div class="col-4 pt-2"><p><strong>{% endverbatim %}{{ 'general.nome'|trans }}{% verbatim %}:</strong> {{:name}}</p></div>
                      <div class="col-4 pt-2"><strong>{% endverbatim %}{{ 'pdnd.clients.env.title'|trans }}{% verbatim %}:</strong> <span class="badge badge-primary">{{:env}}</span></div>
                      <div class="col-2"></div>
                      <div class="col-2">
                        <button class="border-0" data-toggle="collapse" data-target="#client" aria-expanded="false" aria-controls="client"><small class="d-none d-lg-block">{% endverbatim %}{{ 'calendars.detail'|trans }}{% verbatim %}</small></button>
                      </div>
                    </div>
                  </div>
                  <div id="client" class="collapse bg-aliceblue" role="region" aria-labelledby="accordion-heading" data-parent="#accordion-parent">
                    <div class="collapse-body">
                      <form data-client-id="{{:id}}">
                        <div class="form-group">
                          <div class="row">
                            <div class="col-6">
                              <label for="name" class="required">{% endverbatim %}{{ 'general.nome'|trans }}{% verbatim %}</label>
                              <input type="text" class="form-control" id="name" name="name" value="{{:name}}">
                            </div>
                            <div class="col-6">
                              <label for="name" class="required">Client ID</label>
                              <input type="text" class="form-control" id="id" name="id" value="{{:id}}" readonly>
                            </div>
                          </div>
                        </div>
                        <div class="form-group">
                          <div class="row">
                            <div class="col-6">
                              <label for="name" class="required">Kid</label>
                              <input type="text" class="form-control" id="key_id" name="key_id" value="{{:key_id}}">
                            </div>
                            <div class="col-6">
                              <label class="required">{% endverbatim %}{{ 'pdnd.clients.env.title'|trans }}{% verbatim %}</label>
                              <div class="row">
                                <div class="form-check form-check-inline mt-0">
                                  <input name="env" type="radio" id="env_dev" value="collaudo" {{if env === "collaudo"}}checked{{/if}}>
                                  <label for="env_dev">{% endverbatim %}{{ 'pdnd.clients.env.test'|trans }}{% verbatim %}</label>
                                </div>
                                <div class="form-check form-check-inline mt-0">
                                  <input name="env" type="radio" id="env_prod" value="produzione" {{if env === "produzione"}}checked{{/if}}>
                                  <label for="env_prod">{% endverbatim %}{{ 'pdnd.clients.env.prod'|trans }}{% verbatim %}</label>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <div class="form-group">
                          <label for="name">{% endverbatim %}{{ 'pdnd.clients.public_key'|trans }}{% verbatim %}</label>
                          <input type="hidden" id="key_pair_id" name="key_pair_id" value="{{:key_pair_id}}">
                          <textarea class="form-control small overflow-hidden" id="public_key" name="public_key" rows="10" disabled>{{:public_key}}</textarea>
                        </div>
                        <div class="it-card-footer text-right">
                          <a class="btn btn-primary client-save" href="#">{% endverbatim %}{{ 'salva'|trans }}{% verbatim %}</a>
                        </div>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
          </div>
      </div>
    </script>

    <script id="tpl-eservice" type="text/x-jsrender">
      <div class="col-12 col-lg-4">
        <!--start card-->
        <div class="card-wrapper card-space e-service" data-eservice-id="{{:id}}" data-config-id="{{:config.id}}" >
          <div class="card card-bg">
            <div class="card-body">
            <div class="top-icon">
              <svg class="icon">
                <use href="/bootstrap-italia/dist/svg/sprite.svg#it-card"></use>
              </svg>
            </div>
              <h5 class="card-title">{{:name}}</h5>
              <p class="card-text">
                  <strong>{% endverbatim %}{{ 'webhook.version'|trans }}{% verbatim %}</strong> {{:version}}<br>
                  <strong>Id</strong> <code>{{:id}}</code><br>
                  <strong>{% endverbatim %}{{ 'general.stato'|trans }}{% verbatim %}</strong>
                  {{if config.id && config.is_active}}
                    <span class="badge badge-success status">{% endverbatim %}{{ 'enabled'|trans }}{% verbatim %}</span>
                  {{else}}
                    <span class="badge badge-danger status">{% endverbatim %}{{ 'not_enabled'|trans }}{% verbatim %}</span>
                  {{/if}}
              </p>
              <div class="it-card-footer">
                {{if config.id && config.is_active}}
                  <a class="btn btn-outline-primary btn-sm toggle-eservices" style="display: none;" href="#">{% endverbatim %}{{ 'enable'|trans }}{% verbatim %}</a>
                  <a class="btn btn-outline-primary btn-sm toggle-eservices" href="#">{% endverbatim %}{{ 'modifica'|trans }}{% verbatim %}</a>
                  <a class="btn btn-outline-danger btn-sm disable-eservices" href="#">{% endverbatim %}{{ 'not_enable'|trans }}{% verbatim %}</a>
                {{else}}
                  <a class="btn btn-outline-primary btn-sm toggle-eservices" href="#">{% endverbatim %}{{ 'enable'|trans }}{% verbatim %}</a>
                  <a class="btn btn-outline-primary btn-sm toggle-eservices" style="display: none;" href="#">{% endverbatim %}{{ 'modifica'|trans }}{% verbatim %}</a>
                  <a class="btn btn-outline-danger btn-sm disable-eservices" style="display: none;" href="#">{% endverbatim %}{{ 'not_enable'|trans }}{% verbatim %}</a>
                {{/if}}
              </div>
            </div>
          </div>
        </div>
        <!--end card-->
      </div>
    </script>

    <script id="tpl-empty" type="text/x-jsrender">
      <div class="col-lg-12 alert alert-warning">{% endverbatim %}{{ 'pdnd.e-services.error'|trans }}{% verbatim %}</div>
    </script>
  {% endverbatim %}
{% endblock %}


